# -*- coding: utf-8 -*-
###############################################################################~!!~~!!!
#
# Copyright (c) 2010-2012, OPENTIA Group (<http://opentia.com>)
# The word "OPENTIA" is an European Community Trademark property of the Opentia Group
#
# @author: Opentia "Happy Hacking" Team
# @e-mail: consultoria@opentia·es
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################~!!~~!!!

from osv import fields, osv

class block_product(osv.osv):
    _inherit = "product.product"

    _columns = {
        'blocked': fields.boolean('Blocked', help='Check this box if this product is locked.'),
        'lot_ids': fields.one2many('stock.production.lot', 'product_id', 'Lots'),
    }

    def lock_products(self, cr, uid, ids, context=None):
        #Locks all products in context['product_list']
        product_list = context.get('product_list', False)
        if product_list:
            product_ids = self.pool.get('product.product').search(cr, uid, [('id','in',product_list)])
            return self.pool.get('product.product').write( cr, uid, product_ids, {'blocked': True} )
        else: return False

block_product()

class block_lot(osv.osv):
    _inherit = "stock.production.lot"

    _columns = {
        'blocked': fields.boolean('Blocked', help='Check this box if this lot is locked.'),
    }
block_lot()


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
